org.hibernate.search.indexes.serialization.avro.logging.impl

## Interface Log

- All Superinterfaces:
    org.jboss.logging.BasicLogger, Log

      @MessageLogger(projectCode="HSEARCH")
      public interface Log
      extends Log

  Hibernate Search Avro Serialization log abstraction.
  Author:
    Hardy Ferentschik

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.search.util.logging.impl.Log

      `AVRO_SERIALIZATION_MESSAGES_START_ID, ES_BACKEND_MESSAGES_START_ID, JGROUPS_BACKEND_MESSAGES_START_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchException` | `unableToLoadAvroSchema(String avroSchemaFile)`
    `void` | `unexpectedMinorProtocolVersion(int majorVersion, int minorVersion, int latestKnownMinor)`

    - ### Methods inherited from interface org.hibernate.search.util.logging.impl.Log

      `abstractClassesCannotInsertDocuments, ambiguousLatitudeDefinition, ambiguousLongitudeDefinition, analyzerDefinitionNamingConflict, analyzerReferenceIsNotLucene, analyzerReferenceIsNotRemote, analyzerReferenceNotInitialized, assertionFailureCannotCastToWorkerBuilderContext, assertionNotLoadingUTF8Charset, attemptToCreateFacetingRequestForUnindexedEntity, attemptToFacetOnAnalyzedField, attributeNotRecognizedNorSerializable, backendError, backendNonTransactional, beanResolverContainedInProvidedServicesException, booleanQueryWithoutClauses, cannotCreateBridgeDefinedField, cannotDeserializeField, cannotDeserializeOperation, cannotExtractCoordinateFromObject, cannotExtractValueForIdentifier, cannotFindCoordinatesNorLatLongForSpatial, cannotGetResultSizeWithCriteriaAndRestriction, cannotGuessTransactionStatus, cannotHaveTwoSpatialsWithDefaultOrSameName, cannotInitializeDirectoryProvider, cannotInstantiateClassBridgeOfType, cannotOpenIndexWriterCausePreviousError, cannotReadFieldForClass, cannotReferenceAnalyzerAndNormalizer, cannotRunLuceneQueryTargetingEntityIndexedWithNonLuceneIndexManager, cannotSerializeCustomField, cantOpenCorruptedIndex, cantQueryUnconfiguredType, cantQueryUnindexedType, classLoaderServiceContainedInProvidedServicesException, closedBlackholeBackend, closingIndexWriter, configurationPropertyCantBeEmpty, conflictingParameterDefined, containedInPointsToProvidedId, conversionFromReaderToStringNotYetImplemented, couldNotAnalyzeSortableField, couldNotCloseResource, couldNotCreateUninvertingReader, deprecatedBackendName, deprecatedConfigurationPropertyIsIgnored, detectInfiniteTypeLoopInIndexedEmbedded, directoryIsNotReadable, distanceSortRequiresSpatialField, duplicateDocumentIdFound, entityWithIdNotFound, entityWithNoShard, errorDuringFacetingIndexing, errorRollingBackTransaction, exceptionDuringFactoryMethodExecution, exceptionDuringIndexMergeOperation, exceptionOccurred, executingLuceneQuery, facetAnnotationWithoutMatchingField, factoryMethodsMustReturnAnObject, failedSlaveDirectoryProviderInitialization, failToDeserializeObject, failToSerializeObject, fieldBridgeNotAnInstanceof, fieldBridgeNotTwoWay, fieldIdCannotBeUsedInMoreLikeThis, fieldLooksBinaryButDecompressionFailed, fieldNotStoredNorTermVectorCannotBeUsedInMoreLikeThis, fieldTriesToOverrideIdFieldSettings, fileDeleteFailureIgnored, fileDoesNotExist, fileIsADirectory, fileIsNotReadable, flushIntervalNeedsToBePositive, forceRemoveOnIndexOperationViaInterception, forceSkipIndexOperationViaInterception, forceToUseDocumentExtraction, forceUpdateOnIndexOperationViaInterception, forcingReleaseIndexWriterLock, foundCurrentMarker, fullTextFilterDefinitionNamingConflict, getFieldNameCannotBeNullException, getInvalidIntegerValueException, getInvalidShardCountException, getMultipleServiceImplementationsException, getNoServiceImplementationFoundException, getNoSessionFactoryInContextException, getNullEntityManagerPassedToFullEntityManagerCreationException, getNullSessionPassedToFullTextSessionCreationException, getPropertyNameCannotBeNullException, getUnableToCreateJGroupsBackendException, getUnableToLoadShardingStrategyClassException, getUnableToNarrowFieldDescriptorException, getUnexpectedServiceStatusException, givenCriteriaObjectCannotBeApplied, idCannotBeExtracted, idHashShardingWithSingleShard, ignoringBackendOptionForIndex, illegalLuceneVersionFormat, illegalObjectRetrievedFromMessage, incompatibleProtocolVersion, incompleteEntityInfo, inconsistentFieldConfiguration, inconsistentSortableFieldConfigurationForSharedIndex, incorrectEditDistance, incorrectMessageType, indexBasePathRequiredForLockingStrategy, indexDirectoryNotFoundCreatingNewOne, indexingCompletedAndMBeanUnregistered, indexingDocumentsCompleted, indexingEntities, indexingEntitiesCompleted, indexingSpeed, indexManagerAliasResolved, indexManagerTypeRequiredToBuildFieldBridge, indexManagerUsesSerializationService, indexNamesCollisionDetected, initializedBlackholeBackend, interruptedBatchIndexing, interruptedWhileWaitingForIndexActivity, interruptedWorkError, invalidEmptyNormalizerDefinition, invalidIncludePathConfiguration, invalidLuceneAnalyzerDefinitionProvider, invalidNullMarkerForDouble, invalidNullMarkerForFloat, invalidNullMarkerForInteger, invalidNullMarkerForLong, invalidPropertyValue, invalidStringDateFieldInDocument, ioExceptionOnIndex, ioExceptionOnIndexOfEntity, ioExceptionOnIndexWriter, ioExceptionOnMultiReaderRefresh, jmsInitialContextException, jmsQueueFactoryLookupException, jmsQueueLookupException, lazyLuceneAnalyzerReferenceNotInitialized, lazyRemoteAnalyzerReferenceNotInitialized, loadingNonExistentField, lockingFailureDuringInitialization, logInfoStreamMessage, luceneBackendInitializedAsynchronously, luceneBackendInitializedSynchronously, massIndexerExceptionWhileFetchingIds, massIndexerExceptionWhileTransformingIds, massIndexerUnableToIndexInstance, massIndexerUnexpectedErrorMessage, multipleFactoryMethodsInClass, multipleMatchingFieldBridges, multipleTermsInAnalyzedSortableField, needAtLeastOneIndexedEntityType, needAtLeastOneIndexName, noCurrentMarkerInSourceDirectory, noDocumentIdFoundException, noFieldBridgeInterfaceImplementedByClassBridge, noFieldBridgeInterfaceImplementedByFieldBridge, noFieldCompatibleForMoreLikeThis, noImplementationClassInFieldBridge, noPublicNoArgConstructor, normalizerDefinitionNamingConflict, normalizerProducedMultipleTokens, noStartOrEndSpecifiedForRangeQuery, notAnIndexedType, notDeleted, nullIsInvalidIndexedType, nullIsInvalidIndexName, nullMarkerInvalidFormat, numericDateFacetForNonNumericField, numericEncodedFieldsAreTargetedWithStringQuery, numericFieldAnnotationWithoutMatchingField, numericFieldCannotBeUsedInMoreLikeThis, numericRangeQueryWithNonNumericToAndFromValues, optimizationSkippedStillBusy, parametersShouldNotBeNull, parseException, projectingFieldWithoutTwoWayFieldBridge, projectingNonStoredField, providedServicesCannotImplementStartableOrStoppable, pushedChangesOutOfTransaction, queryWithNoIndexedType, queryWithNoTermsAfterAnalysis, rangeDefinitionOrderRequestedForDiscreteFacetRequest, rangeQueryWithNullToAndFromValue, readersNotProperlyClosedInReaderProvider, readerTypeUnsupportedForInverting, recommendConfiguringLuceneVersion, remoteAnalyzerNotInitialized, requestedIndexNotDefined, requireTFIDFSimilarity, searchFactoryReferenceServiceNotFound, searchIntegratorNotInitialized, serializationProtocol, serializationProviderNotFoundException, serviceProviderNotReleased, serviceRequestedAfterReleasedAllWasCalled, severalNumericFieldAnnotationsForSameField, shuttingDownBackend, simpleQueryParserDoesNotSupportNullQueries, singleTermDeleteDisabled, skippingDirectorySynchronization, sortableFieldRefersToUndefinedField, sortableFieldWithNonNormalizerAnalyzer, sortFieldTypeUnsupported, sortRequiresIndexedField, sortTypeDoesNotMatchFieldType, sourceDirectoryNotExisting, startingSyncConsumerThread, stoppingSyncConsumerThread, stopServiceFailed, stringEncodedFieldsAreTargetedWithNumericQuery, targetedEntityTypesNotConfigured, targetedEntityTypesNotIndexed, targetedFieldNotSpatial, timedOutWaitingShutdown, timedOutWaitingShutdownOfReaderProvider, transactionNotActiveWhileProducingIdsForBatchIndexing, unableToAccessClass, unableToAccessMethod, unableToCloseJmsConnection, unableToCloseLuceneDirectory, unableToCloseLuceneIndexReader, unableToCloseSearcherDuringQuery, unableToCloseSearcherInScrollableResult, unableToCompareSourceWithDestinationDirectory, unableToConfigureTikaBridge, unableToConvertSerializableStoreToLuceneStore, unableToCreateCurrentMarker, unableToDeleteByQuery, unableToDeserializeAvroStream, unableToDetermineClassBridge, unableToDetermineCurrentInSourceDirectory, unableToGetInputStreamFromBlob, unableToGuessFieldBridge, unableToInitializeIndexManager, unableToInstantiateFieldBridge, unableToInstantiateSpatial, unableToLoadResource, unableToOpenJMSConnection, unableToParseDocument, unableToReadSerializedLuceneWorks, unableToReadTokenStream, unableToRemovePreviousMarker, unableToRetrieveNamedAnalyzer, unableToRetrieveObjectFromMessage, unableToSearchOnNullValueWithoutFieldBridge, unableToSendJMSWork, unableToSerializeInAvro, unableToSerializeLuceneWorks, unableToSetFilterParameter, unableToShutdownAsynchronousIndexingByTimeout, unableToSynchronizeSource, unableToUnregisterExistingMBean, uncoveredSortsRequested, uncoveredSortsRequestedWithUninvertingNotAllowed, unexpectedBinaryDocValuesTypeType, unexpectedNumericDocValuesTypeType, unexpectedProjectionConstant, unexpectedValueMissingFromFieldCache, unknownAttributeSerializedRepresentation, unknownDeletionQueryKeySpecified, unknownDocValuesTypeType, unknownEncodingType, unknownFieldNameForFaceting, unknownFieldNameForMoreLikeThisQuery, unknownFieldType, unknownFullTextFilter, unknownIndexingMode, unknownNumericFieldType, unknownResolution, unsupportedErrorHandlerConfigurationValueType, unsupportedFacetRangeParameter, unsupportedFieldTypeForFaceting, unsupportedNullTokenType, unsupportedParameterTypeForRangeFaceting, unsupportedTikaBridgeType, usingDeprecatedNameForRamDirectoryProvider, usingSerializationService, valueTooLargeForConversionException, version, warnSuspiciousBackendDirectoryCombination, workerException, workListShouldNeverBeEmpty`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Method Detail

    - #### unableToLoadAvroSchema

          @Message(id=300001,
                   value="Unable to find Avro schema \'%s\'")
          SearchException unableToLoadAvroSchema(String avroSchemaFile)

    - #### unexpectedMinorProtocolVersion

          @LogMessage(level=WARN)
           @Message(id=300002,
                   value="Parsing message from a future protocol version. Some feature might not be propagated. Message version: %1$d.%2$d. Current protocol version: %1$d.%3$d")
          void unexpectedMinorProtocolVersion(int majorVersion,
                                                                                                                                                                                                                                                                   int minorVersion,
                                                                                                                                                                                                                                                                   int latestKnownMinor)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved